Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.introspection
Interface Uberspect

All Known Implementing Classes:
  UberspectImpl

    public interface Uberspect

'Federated' introspection/reflection interface to allow the introspection behavior in JEXL to be customized.

Since:
  1.0
Version:
  $Id: Uberspect.java 896952 2010-01-07 18:21:29Z henrib $
Author:
  Geir Magusson Jr.

Method Summary
`java.lang.reflect.Constructor<?>` | `getConstructor(java.lang.Object ctorHandle, java.lang.Object[] args, JexlInfo info)` Returns a class constructor.
`java.util.Iterator<?>` | `getIterator(java.lang.Object obj, JexlInfo info)` Gets an iterator from an object.
`JexlMethod` | `getMethod(java.lang.Object obj, java.lang.String method, java.lang.Object[] args, JexlInfo info)` Returns a JexlMethod.
`JexlPropertyGet` | `getPropertyGet(java.lang.Object obj, java.lang.Object identifier, JexlInfo info)` Property getter.
`JexlPropertySet` | `getPropertySet(java.lang.Object obj, java.lang.Object identifier, java.lang.Object arg, JexlInfo info)` Property setter.
`void` | `setClassLoader(java.lang.ClassLoader loader)` Sets the class loader to use when getting a constructor with a class name parameter.

Method Detail

### setClassLoader

    void setClassLoader(java.lang.ClassLoader loader)

  Sets the class loader to use when getting a constructor with a class name parameter.

  Parameters:
    `loader` - the class loader

### getConstructor

    java.lang.reflect.Constructor<?> getConstructor(java.lang.Object ctorHandle,
                                                    java.lang.Object[] args,
                                                    JexlInfo info)

  Returns a class constructor.

  Parameters:
    `ctorHandle` - a class or class name
    `args` - constructor arguments
    `info` - contextual information
  Returns:
    a `Constructor`

### getMethod

    JexlMethod getMethod(java.lang.Object obj,
                         java.lang.String method,
                         java.lang.Object[] args,
                         JexlInfo info)

  Returns a JexlMethod.

  Parameters:
    `obj` - the object
    `method` - the method name
    `args` - method arguments
    `info` - contextual information
  Returns:
    a `JexlMethod`

### getPropertyGet

    JexlPropertyGet getPropertyGet(java.lang.Object obj,
                                   java.lang.Object identifier,
                                   JexlInfo info)

  Property getter.

  Returns JexlPropertyGet appropos for ${bar.woogie}.

  Parameters:
    `obj` - the object to get the property from
    `identifier` - property name
    `info` - contextual information
  Returns:
    a `JexlPropertyGet`

### getPropertySet

    JexlPropertySet getPropertySet(java.lang.Object obj,
                                   java.lang.Object identifier,
                                   java.lang.Object arg,
                                   JexlInfo info)

  Property setter.

  returns JelPropertySet appropos for ${foo.bar = "geir"}

  .

  Parameters:
    `obj` - the object to get the property from.
    `identifier` - property name
    `arg` - value to set
    `info` - contextual information
  Returns:
    a `JexlPropertySet`.

### getIterator

    java.util.Iterator<?> getIterator(java.lang.Object obj,
                                      JexlInfo info)

  Gets an iterator from an object.

  Parameters:
    `obj` - to get the iterator for
    `info` - contextual information
  Returns:
    an iterator over obj

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.